summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2014-09-27 15:13:12 +0000
committerAnthony G. Basile <blueness@gentoo.org>2014-09-27 15:13:12 +0000
commitb41a54bdb283add73f3c1be4bb1fb0c7d7094c4d (patch)
tree67b26fb2158628f78d12801eddcc79de0efff5ed /net-misc/tinc/files
parentBeta channel bump. (diff)
downloadgentoo-2-b41a54bdb283add73f3c1be4bb1fb0c7d7094c4d.tar.gz
gentoo-2-b41a54bdb283add73f3c1be4bb1fb0c7d7094c4d.tar.bz2
gentoo-2-b41a54bdb283add73f3c1be4bb1fb0c7d7094c4d.zip
Remove older versions with tincd/tincd.lo split openrc scripts
(Portage version: 2.2.8-r2/cvs/Linux x86_64, signed Manifest commit with key 0xF52D4BBA)
Diffstat (limited to 'net-misc/tinc/files')
-rw-r--r--net-misc/tinc/files/tincd70
-rw-r--r--net-misc/tinc/files/tincd.lo54
2 files changed, 0 insertions, 124 deletions
diff --git a/net-misc/tinc/files/tincd b/net-misc/tinc/files/tincd
deleted file mode 100644
index b26185eae4e3..000000000000
--- a/net-misc/tinc/files/tincd
+++ /dev/null
@@ -1,70 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/tinc/files/tincd,v 1.9 2013/09/01 12:22:46 blueness Exp $
-
-extra_started_commands="reload"
-
-NETS="/etc/conf.d/tinc.networks"
-DAEMON="/usr/sbin/tincd"
-
-depend() {
- use logger dns
- need net
-}
-
-checkconfig() {
- if ! grep -q '^ *NETWORK:' "${NETS}" ; then
- eerror "No VPN networks configured in ${NETS}"
- return 1
- fi
-}
-
-start() {
- checkconfig || return 1
- ebegin "Starting tinc VPN networks"
- awk '/^ *NETWORK:/ { print $2 }' "${NETS}" | while read NETNAME
- do
- CONFIG="/etc/tinc/${NETNAME}/tinc.conf"
- PIDFILE="/var/run/tinc.${NETNAME}.pid"
- if [ ! -f "${CONFIG}" ]; then
- eerror "Cannot start network ${NETNAME}."
- eerror "Please set up ${CONFIG} !"
- else
- ebegin "Starting tinc network ${NETNAME}"
- if [ "${SYSLOG}" == "yes" ]; then
- LOG=""
- else
- LOG="--logfile=/var/log/tinc.${NETNAME}.log"
- fi
- start-stop-daemon --start --exec "${DAEMON}" --pidfile "${PIDFILE}" -- --net="${NETNAME}" ${LOG} --pidfile "${PIDFILE}"
- eend $?
- fi
- done
-}
-
-stop() {
- ebegin "Stopping tinc VPN networks"
- awk '/^ *NETWORK:/ { print $2 }' "${NETS}" | while read NETNAME
- do
- PIDFILE="/var/run/tinc.${NETNAME}.pid"
- if [ -f "${PIDFILE}" ]; then
- ebegin "Stopping tinc network ${NETNAME}"
- start-stop-daemon --stop --pidfile "${PIDFILE}"
- eend $?
- fi
- done
-}
-
-reload() {
- ebegin "Reloading configuration for tinc VPN networks"
- awk '/^ *NETWORK:/ { print $2 }' "${NETS}" | while read NETNAME
- do
- PIDFILE="/var/run/tinc.${NETNAME}.pid"
- if [ -f "${PIDFILE}" ]; then
- ebegin "Reloading tinc network ${NETNAME}"
- start-stop-daemon --signal HUP --pidfile ${PIDFILE}
- eend $?
- fi
- done
-}
diff --git a/net-misc/tinc/files/tincd.lo b/net-misc/tinc/files/tincd.lo
deleted file mode 100644
index a7bc443498a0..000000000000
--- a/net-misc/tinc/files/tincd.lo
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/tinc/files/tincd.lo,v 1.5 2013/09/01 12:22:46 blueness Exp $
-
-extra_started_commands="reload"
-
-DAEMON="/usr/sbin/tincd"
-
-depend() {
- use logger dns
- need net
-}
-
-start() {
- NETNAME="${RC_SVCNAME#*.}"
- CONFIG="/etc/tinc/${NETNAME}/tinc.conf"
- PIDFILE="/var/run/tinc.${NETNAME}.pid"
- if [ ! -f "${CONFIG}" ]; then
- eerror "Cannot start network ${NETNAME}."
- eerror "Please set up ${CONFIG} !"
- else
- ebegin "Starting tinc network $NETNAME"
- if [ "${SYSLOG}" == "yes" ]; then
- LOG=""
- else
- LOG="--logfile=/var/log/tinc.${NETNAME}.log"
- fi
- start-stop-daemon --start --exec "${DAEMON}" --pidfile "${PIDFILE}" -- --net="${NETNAME}" ${LOG} --pidfile "${PIDFILE}"
- eend $?
- fi
-}
-
-stop() {
- NETNAME="${RC_SVCNAME#*.}"
- CONFIG="/etc/tinc/${NETNAME}/tinc.conf"
- PIDFILE="/var/run/tinc.${NETNAME}.pid"
- if [ -f "${PIDFILE}" ] ; then
- ebegin "Stopping tinc network ${NETNAME}"
- start-stop-daemon --stop --pidfile "${PIDFILE}"
- eend $?
- fi
-}
-
-reload() {
- NETNAME=${RC_SVCNAME#*.}
- CONFIG="/etc/tinc/${NETNAME}/tinc.conf"
- PIDFILE="/var/run/tinc.${NETNAME}.pid"
- if [ -f "${PIDFILE}" ] ; then
- ebegin "Reloading tinc network ${NETNAME}"
- start-stop-daemon --signal HUP --pidfile "${PIDFILE}"
- eend $?
- fi
-}